= 2.42 20190403 =

* New currency: Electra ECA

= 2.41 20190321 =

* New currency: Cointorox OROX
* New currency: Luxcess Group Token LXC

= 2.40 20190310 =

* New currency: Organic Token ORGT

= 2.39 20190307 =

* New currency: Academy Token ACAD
* New currency: IMSmart Token IMT

= 2.38 20190210 =

* New currency: Enjin Coin ENJ
* Fix: QR code for ERC20 tokens now includes address + amount in a more standardized format used by popular mobile wallets.

= 2.37 20190205 =

* New currency: Stellar XLM
* Add your <a href="https://mycryptocheckout.com/stellar-token/">custom Stellar tokens</a>!

= 2.36 20190127 =

* New currency: Groestlcoin GRS
* New currency: Tether USD USDT
* Fix: QRcode and Timer HTML was being escaped unnecessarily.
* Fix: add white border around QR codes for dark themes.

= 2.35 20190118 =

* New currency: Herbalist Token HERB
* New currency: Storiqa STQ

= 2.34 20190113 =

* New: Some wallets (BCH, BTC, BTG, BZX, DASH, DCR, DGB, LTC, TPAY, XVG, ZEC) now optionally support 0-conf payments.
* New: HD wallet support for Dash
* New: HD wallet support for Viacoin VIA
* New: SegWit support for Viacoin VIA

= 2.33 20190110 =

* New currency: BLXS Blockscart
* Downgrade Bitwasp library to support PHP 5.6 again.
* Add beginning of CLI. Used for automatic testing.

= 2.32 20190109 =

* New currency: Acorn Collective OAK
* New currency: Bitcoin Zero BZX
* Upgrade Bitwasp library, that handles HD wallets, updated to v1.0. This requires PHP7.

= 2.31 20181228 =

* New currency: CloakCoin CLOAK

= 2.30 20181221 =

* New currency: USD Coin USDC
* New currency: Tokes TKS
* New currency: ActivEightCoin ACTIV
* New: "open in waves" button. The button uses the Waves payments API and opens the Waves client either desktop or online version.

= 2.29 20181211 =

* New currency: Spendcoin SPND

= 2.28 20181209 =

* New: "open in wallet" button on payment page allows customers to click and prefill address and amount in their wallet.
* New: improved CSS browser prefixes
* New: WooCommerce: prestyled colors options forcheckout icons.
* Fix: Typo: "wallets disabled" -> "wallets enabled".

= 2.27 20181105 =

* Fix: EDD: Conversion between fiat and crypto fixed on order received page.

= 2.26 20181105 =

* New currency: TuneTrade TXT
* New: Add automatic API connection check after placed orders. If MCC is unable to contact the API server, admin will receive an e-mail after 15 minutes.
* Fix: WooCommerce: Allow gateway to be disabled from the gateway overview.
* New: Woocommerce: Added more payment complete statuses: on hold and pending payment.
* New: Added MYCRYPTOCHECKOUT_DISABLE_WALLET_EDITOR define to disable editing of wallets. This is a last-resort security feature to prevent intruders from modifying your wallet addresses.

= 2.25 20181027 =

* New currency: Gemini Dollar GUSD
* New currency: TrueUSD TUSD
* New currency: Waves World WAVESWORLD
* Dev: Add currency_id to the markup_amount action.

= 2.24 20181022 =

* Fix: Change mouse cursor to hand to show that the wallets are draggable.

= 2.23 20181020 =

* New: The plugin is now using the <a href="https://mycryptocheckout.com/doc/developers/">official MCC API</a>!
* New: Wallets can be manually sorted by dragging them up and down in the wallet list. This replaces the wallet's default / preselected option.
* Fix: WooCommerce: Use font instead of SVG icons for checkout box.

= 2.22 20181012 =

* We now accept <a href="https://mycryptocheckout.com/waves-token/">custom WAVES tokens</a>!
* New currency: CoffeeCoin COF
* New currency: Invacio INV
* New: Want your webshop publically listed in our upcoming store directory? There's a checkbox for that in the account overview tab.
* New: Added Monero private view key input placeholder text.

= 2.21 20181006 =

* New: HD wallet support for Bitcoin Cash BCH
* New: HD wallet support for Litecoin LTC

= 2.20 20181004 =

* New currency: ADULTEUM ADULT
* New currency: CrypticCoin CRYP
* New currency: L'île LILE
* Fix: WooCommerce and EDD: allow having virtual currency as base currency.
* Fix: EDD: Override checkout payment method name to match checkout method name.
* Fix: Metamask: Use different dividers for different currencies.
* New snippet: <a href="https://mycryptocheckout.com/doc/snippets/refresh-page-after-payment-complete/">Refresh page after payment complete</a>

= 2.19 20180925 =

* New currency: Monero XMR

= 2.18 20180920 =

* New currency: CatoCoin CATO
* New currency: TRONBITCOIN TBTC
* New currency: TurtleNetwork TN
* Fix: EDD: Show receipt when _not_ using MCC on checkout.
* Fix: QRcode CSS on payment page.
* Test: Used BrowserStack to test payment page across browsers, operating systems, and mobile devices.

= 2.17 20180915 =

* New currency: Bits'mdo' BSD
* New currency: Latino Token LATINO
* New: Added MetaMask support for all ERC20 tokens except Flix.
* Fix: Wordpress: Checkout icon generated on a per blog basis.

= 2.16 20180904 =

* New currency: Huobi Token HT
* New currency: Viacoin VIA
* Fix: Woocommerce: Fire woocommerce_cancelled_order action upon cancelling the order.
* Fix: EDD: Fix checkout QR code.
* Fix: EDD: Don't show MCC checkout boxes when using test payments.
* Fix: Fatal error with GoURL fixed, but double currencies won't allow MCC to work.

= 2.15 20180829 =

* New currency: eBitcoin EBTC
* New currency: shelterDAO SHEL
* New: WooCommerce Metamask payment support on checkout. The MetaMask button is automatically shown during checkout if detected.
* Fix woocommerce_settings_get_option error on some installs.
* Fix Woocommerce checkout "optional" text. It should be required, of course.
* Fix removal of thousands separator when sending the amount to the API.
* Currency disabled: NEO

= 2.14 20180813 =

* New currency: Tron TRX

= 2.13 20180810 =

* New currency: Loom
* New currency: Monaco MCO
* New currency: NEM XEM
* New currency: TenXPay PAY
* New currency: Pundi X Token PNXS
* Default payment timer for new installs is now 2 hours instead of 6.

= 2.12 20180713 =

* New currency: onG.social ONG

= 2.11 20180706 =

* New currency: Elite 1337
* New currency: Binance Coin BNB
* New currency: intimate ITM
* New currency: MarsCoin MARS
* New currency: Straks STAK
* New currency: TokenPay TPAY
* New: Allow alignment selection for donations widget.
* Fix: Conflict between CSS classes that prevented the "payment complete" tick from appearing. CSS class "hidden" renamed to "mcc_hidden".
* Fix: Be more insistent sending unsent payments to the API server.
* Fix: Normalize currency amounts using commas before converting them to crypto amounts.
* Fix: Only override payment URL if using MCC. Fixes conflict with some other payment methods.

= 2.10 20180614 =

* New: Some currency QR codes will also include the amount to pay. Bitcoin Cash, Bitcoin, Ethereum, LiteCoin.
* New: WooCommerce; option for sending invoice to customer upon purchase, in addition to after payment.
* Fix: Ensure that small amounts of virtual currency (0.00000001 BTC) are displayed as small amounts, and not in scientific notation.
* Fix: WooCommerce; when using a virtual currency as the native currency, ensure that the order amount is the same as the amount MCC is expecting to receive.
* Fix: WooCommerce; when using a virtual currency as the native currency, show a warning if the WooCommerce currency decimals don't match the capabilities of the virtual currency in MCC.
* Fix: WooCommerce; during checkout, also include shipping in the virtual currency preview amount.

= 2.09 20180524 =

* New currency: Raiden (RDN)
* New currency: New York Coin (NYC)
* New currency: Verge (XVG)
* New currency: Worldcoin1 (WRD1)

= 2.08 20180518 =

* New: Donations shortcode to allow your users to send you donations via cryptocurrency.
* Fix: Allow MCC to ignore currencies that have been disabled / removed.

= 2.07 20180511 =

* New currency: Flix (FLIX)
* New currency: Digibyte (DGB)
* New currency: Solaris (XLR)

= 2.06 20180509 =

* Fix: When using cryptocurrencies as the primary WooCommerce currency, do not try to convert to fiat first.
* New currency: Aragon (ANT)

= 2.05 20180505 =

* New: Added global / local QR-code settings.
* New: Added payment countdown timer with global / local settings.
* New currency: Aeternity (AE)
* New currency: ColossusXT (COLX)
* New currency: Dai Stablecoin (DAI)
* New currency: Dragonchain (DRGN)
* New currency: Gifto (GTO)
* New currency: Nebulas (NAS)
* New currency: Request Network (REQ)
* New currency: SALT (SALT)
* New currency: Storm (STORM)
* New currency: VeChain (VEN)
* New currency: Veritaseum (VERI)

= 2.04 20180403 =

* New currency: Ethereum Classic ETC
* New currency: Decred DCR

= 2.03 20180331 =

* New: Add payment timeout hours option to EDD.
* New: Added option to choose default currencies on checkout.
* Fix: Load CSS on the checkout page for those themes that don't have WooCommerce support.
* Fix: Default WooCommerce payment timeout is now 6 hours instead of 72.

= 2.02 20180328 =

* New currency: Bitcoin Gold BTG
* New currency: MetalPay MTL
* New currency: Neo Smart Economy NEO
* New currency: Zcash ZEC
* New: Show QR code for the wallet address when checking out. If you are upgrading and want to enable the QR, you can either (1) reset your EDD or WC MyCryptoCheckout settings (in order to get the new text) or add the following to your online instructions text area before the final </div>:

<div class="mcc_qr_code"></div>

* New: Added payment timeout setting for WooCommerce. The default is 3 days, but can be changed if you want your orders to be automatically cancelled before that. The default will be changed to 6 hours in a few versions' time.
* New: Added setting to change the status of the order when payment is complete. Use this to set your paid orders to complete if your products don't need to be processed manually.
* Fix: Currency icons in WooCoommerce checkout box are now dynamic, showing only the currencies that are available.
* Fix: No more rounding error when using BTC as main WooCommerce currency, and trying to pay in BTC.
* Fix: Try to intercept API calls earlier by raising the priority of the template_redirect hook.
* Fix: Cancelling a WC order will cancel the payment on the API server simultaenously.

= 2.01 20180315 =

* Fix: Use a different way of displaying the copy-to-clipboard icon on the checkout page, making it compatible with more themes.

= 2.0 20180313 =

* New ERC20 token: <a href="https://www.stake-it.com/">STAKE</a>
* Fix: LiteCoin addresses can now be Segwith length (43 chars).
* Fix: Add CSS to prevent the WooCommerce currency selection box from growing too big on some themes.
* Fix: Incorrect wallets key in the options table. Your wallet info will remain untouched if upgrading normally. Else: deactivate and reactive the plugin.
* Fix: Nicer rounding of amounts.

= 1.11 20180307 =

* New: Added DASH coin.

= 1.10 20180306 =

* New: Display exchange rates for your used currencies in the account info tab.
* Fix: EDD orders were not being sent to the API server the first try.
* Fix: More robust cancellation handling, will now report non-existent orders to the API server.
* Code: Replaced the old wordpress mycryptocheckout_payment_complete and mycryptocheckout_cancel_payment actions with their newer object equivalents: mycryptocheckout_cancel_payment and  mycryptocheckout_complete_payment. See the src/actions directory.

<a href="https://mycryptocheckout.com/bulk-pricing/">Bulk license pricing</a> is now available.

We can now add your <a href="https://mycryptocheckout.com/custom-token/">custom ERC20 tokens</a>!

= 1.9 20180228 =

* New: Added support for BitCoin Segwit addresses (42 and 62 characters long).

= 1.8 20180226 =

* New: ERC20 tokens introduced. The most popular tokens added were:

- Basic Attention Token BAT
- Bancor BNT
- Digix Global DGD
- EOS
- FunFair FUN
- Golem GNT
- Icon ICX
- Kyber Network Crystal KNC
- Maker MKR
- Omisego OMG
- Populous PPT
- QASH
- QTUM
- Augur REP
- Status Network SNT
- Tronix TRX
- 0xProject ZRX

= 1.7 20180213 =

* New: Added a test mode allowing you to make purchases without having to use any monthly payments. This will allow you to edit the payment instructions until they suit your business better. The orders are created but will never be marked as paid.

= 1.6 20180206 =

* Fix: Rename a method to prevent a PHP error. The method name use() is apparently reserved in PHP 5.5, but not in PHP 7. Renamed to use_it().
* Fix: Some servers don't report the content type of requests. Work around that.

= 1.5 20180130 =

* New: Amount and address on order confirmation page can now be copied using buttons (javascript)!
* New: Add "Hide order overview" to Woocommerce gateway settings. This hides the order overview table, allowing the payment instructions to be shown higher up on the page. This function uses javascript.
* Fix: Link to wallet recommendation page on Wallets page.
* Fix: ETH decimals are now 8 due to Coinbase restrictions.
* Fix: Split payment instructions into instructions for e-mail and online (order confirmation page). Check your gateway settings after updating!

= 1.4 20180126 =

* Code: Cleanup checkout code for WooCommerce.

= 1.3 20180123 =

* Fix: Do not unnecessarily create payment data for non-crypto payments in WooCommerce.

= 1.2 20180116 =

* Fix: Allow for temporary account locking if a payment is unable to be sent to the API server. Account will automatically unlock when contact is reestablished.

= 1.1 20180115 =

* Fix: Better EDD installation instruction text for e-mail tag.
* Fix: Display currency ID when editing the wallet.

= 1 20180112 =

Initial release.
